Package it.ernytech.tdlib

## Class TdApi.MessageVoiceNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageVoiceNote

Enclosing class:
  TdApi

    public static class TdApi.MessageVoiceNote
    extends TdApi.MessageContent

A voice note message.

### Field Summary

Fields
`TdApi.FormattedText` `caption` Voice note caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isListened` True, if at least one of the recipients has listened to the voice note.
`TdApi.VoiceNote` `voiceNote` Message content.

### Constructor Summary

Constructors
`MessageVoiceNote()` Default constructor.
`MessageVoiceNote​(TdApi.VoiceNote voiceNote, TdApi.FormattedText caption, boolean isListened)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### voiceNote

    public TdApi.VoiceNote voiceNote

Message content.

#### caption

    public TdApi.FormattedText caption

Voice note caption.

#### isListened

    public boolean isListened

True, if at least one of the recipients has listened to the voice note.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageVoiceNote

    public MessageVoiceNote()

Default constructor.

#### MessageVoiceNote

    public MessageVoiceNote​(TdApi.VoiceNote voiceNote,
                            TdApi.FormattedText caption,
                            boolean isListened)

Constructor for initialization of all fields.

Parameters:
  `voiceNote` - Message content.
  `caption` - Voice note caption.
  `isListened` - True, if at least one of the recipients has listened to the voice note.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR